Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class RecipientInfo

    java.lang.Object
      com.compoze.exchange.RecipientInfo

All Implemented Interfaces:
  java.io.Serializable

public class RecipientInfo
extends java.lang.Object
implements java.io.Serializable

This class stores information about a single recipient.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getAddress()` Gets the Exchange address of the recipient.
`AddressDisplayType` | `getAddressDisplayType()` Gets the display type of the recipient.
`java.lang.String` | `getAddressEntryID()` Gets the ID of the address entry that the recipient is associated with.
`static java.lang.String` | `getAddressList(RecipientInfo[] infoArray)` Gets a comma separated sequence of addresses from the specified recipient info array.
`static java.lang.String` | `getAddressList(RecipientInfo[] infoArray, java.lang.String sDelim)` Gets a separated sequence of addresses from the specified recipient info array using the delimiter.
`static java.lang.String` | `getAddressList(RecipientInfo[] infoArray, java.lang.String sDelim, boolean bDisplayAddress)` Gets a separated sequence of addresses from the specified recipient info array using the delimiter.
`java.lang.String` | `getDisplayAddress()` Gets the display address of the recipient.
`int` | `getIndex()` Gets the index of the recipient in the recipient array.
`MeetingResponseStatus` | `getMeetingResponseStatus()` Gets the meeting response status.
`java.lang.String` | `getName()` Gets the display name of the recipient.
`RecipientType` | `getRecipientType()` Gets the type of the recipient.
`java.lang.String` | `getSmtpAddress()` Gets the SMTP address of the recipient.
`static RecipientInfo[]` | `getSubsetByRecipientType(RecipientInfo[] infoArray, RecipientType type)` Gets a subset of the recipients from the specified array by the recipient type.
`java.lang.String` | `toString()` Creates a string representation of the attachment info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIndex

    public int getIndex()

  Gets the index of the recipient in the recipient array.

  Returns:
    the index (-1 if no index was set)

### getName

    public java.lang.String getName()

  Gets the display name of the recipient.

  Returns:
    the name (or `null` if no name was available)

### getRecipientType

    public RecipientType getRecipientType()

  Gets the type of the recipient.

  Returns:
    the recipient type (or `null` if no recipient type was available)

### getAddress

    public java.lang.String getAddress()

  Gets the Exchange address of the recipient. `NOTE:` This is not the SMTP address, but an Exchange address of the form `TYPE:value`

  Returns:
    the Exchange address (or `null` if no address is set)

### getAddressDisplayType

    public AddressDisplayType getAddressDisplayType()

  Gets the display type of the recipient.

  Returns:
    the display type (or `null` if no address display type was available)

### getMeetingResponseStatus

    public MeetingResponseStatus getMeetingResponseStatus()

  Gets the meeting response status.

  Returns:
    the meeting response status (or `null` if no meeting response status was set)

### getDisplayAddress

    public java.lang.String getDisplayAddress()

  Gets the display address of the recipient. The display address is in the format `Joe Smith <joe.smith@company.com>`.

  Returns:
    the display address (or `null` if not available)

### getSmtpAddress

    public java.lang.String getSmtpAddress()

  Gets the SMTP address of the recipient.

  Returns:
    the SMTP address (or `null` if not available)

### getAddressEntryID

    public java.lang.String getAddressEntryID()

  Gets the ID of the address entry that the recipient is associated with.

  Returns:
    the ID

### getSubsetByRecipientType

    public static RecipientInfo[] getSubsetByRecipientType(RecipientInfo[] infoArray,
                                                           RecipientType type)

  Gets a subset of the recipients from the specified array by the recipient type.

  Parameters:
    `infoArray` - the info array to create the subset from
    `type` - the recipient type to match with
  Returns:
    an array of recipient info with the matching type or an empty array if none exist

### getAddressList

    public static java.lang.String getAddressList(RecipientInfo[] infoArray)

  Gets a comma separated sequence of addresses from the specified recipient info array.

  Parameters:
    `infoArray` - the recipient info to build the list from (may not be `null`)
  Returns:
    a comma separated sequence of addresses

### getAddressList

    public static java.lang.String getAddressList(RecipientInfo[] infoArray,
                                                  java.lang.String sDelim)

  Gets a separated sequence of addresses from the specified recipient info array using the delimiter. The addresses use the display address.

  Parameters:
    `infoArray` - the recipient info to build the list from (may not be `null`)
    `sDelim` - the address delimiter
  Returns:
    a comma separated sequence of addresses
  See Also:
    `getDisplayAddress()`

### getAddressList

    public static java.lang.String getAddressList(RecipientInfo[] infoArray,
                                                  java.lang.String sDelim,
                                                  boolean bDisplayAddress)

  Gets a separated sequence of addresses from the specified recipient info array using the delimiter.

  Parameters:
    `infoArray` - the recipient info to build the list from (may not be `null`)
    `sDelim` - the address delimiter
    `bDisplayAddress` - `true` to use the display address; `false` to use the name
  Returns:
    a comma separated sequence of addresses
  See Also:
    `getDisplayAddress()`, `getName()`

### toString

    public java.lang.String toString()

  Creates a string representation of the attachment info.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.